Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class ElemSort

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.templates.ElemSort

public class ElemSort
extends ElemTemplateElement

**For advanced use only** Implement xsl:sort.

See Also:
  sorting in XSLT Specification, Serialized Form

Constructor Summary
`ElemSort()` **For advanced use only**

Method Summary
`Node` | `appendChild(Node newChild)` **For advanced use only** Add a child to the child list.
`AVT` | `getCaseOrder()` **For advanced use only** Get the "case-order" attribute.
`AVT` | `getDataType()` **For advanced use only** Get the "data-type" attribute.
`AVT` | `getLang()` **For advanced use only** Get the "lang" attribute.
`java.lang.String` | `getNodeName()` **For advanced use only** Return the node name.
`AVT` | `getOrder()` **For advanced use only** Get the "order" attribute.
`XPath` | `getSelect()` **For advanced use only** Get the "select" attribute.
`int` | `getXSLToken()` **For advanced use only** Get an int constant identifying the type of element.
`void` | `setCaseOrder(AVT v)` **For advanced use only** Set the "case-order" attribute.
`void` | `setDataType(AVT v)` **For advanced use only** Set the "data-type" attribute.
`void` | `setLang(AVT v)` **For advanced use only** Set the "lang" attribute.
`void` | `setOrder(AVT v)` **For advanced use only** Set the "order" attribute.
`void` | `setSelect(XPath v)` **For advanced use only** Set the "select" attribute.

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`compose, error, execute, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getParentElem, getParentNode, getPrefixes, getPreviousSibling, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getXmlSpace, hasChildNodes, isCompiledTemplate, item, removeChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setLocaterInfo, setPrefixes, setPrefixes, setXmlSpace`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getLocalName, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData, supports`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemSort

    public ElemSort()

Method Detail

### setSelect

    public void setSelect(XPath v)

  **For advanced use only** Set the "select" attribute. xsl:sort has a select attribute whose value is an expression. For each node to be processed, the expression is evaluated with that node as the current node and with the complete list of nodes being processed in unsorted order as the current node list. The resulting object is converted to a string as if by a call to the string function; this string is used as the sort key for that node. The default value of the select attribute is ., which will cause the string-value of the current node to be used as the sort key.

### getSelect

    public XPath getSelect()

  **For advanced use only** Get the "select" attribute. xsl:sort has a select attribute whose value is an expression. For each node to be processed, the expression is evaluated with that node as the current node and with the complete list of nodes being processed in unsorted order as the current node list. The resulting object is converted to a string as if by a call to the string function; this string is used as the sort key for that node. The default value of the select attribute is ., which will cause the string-value of the current node to be used as the sort key.

### setLang

    public void setLang(AVT v)

  **For advanced use only** Set the "lang" attribute. lang specifies the language of the sort keys; it has the same range of values as xml:lang [XML]; if no lang value is specified, the language should be determined from the system environment.

### getLang

    public AVT getLang()

  **For advanced use only** Get the "lang" attribute. lang specifies the language of the sort keys; it has the same range of values as xml:lang [XML]; if no lang value is specified, the language should be determined from the system environment.

### setDataType

    public void setDataType(AVT v)

  **For advanced use only** Set the "data-type" attribute. `data-type` specifies the data type of the strings; the following values are allowed:
  - `text` specifies that the sort keys should be sorted lexicographically in the culturally correct manner for the language specified by `lang`.
  - `number` specifies that the sort keys should be converted to numbers and then sorted according to the numeric value; the sort key is converted to a number as if by a call to the number function; the `lang` attribute is ignored.
  - A QName with a prefix is expanded into an expanded-name as described in [2.4 Qualified Names]; the expanded-name identifies the data-type; the behavior in this case is not specified by this document.

  The default value is `text`.

  > NOTE: The XSL Working Group plans that future versions of XSLT will leverage XML Schemas to define further values for this attribute.

### getDataType

    public AVT getDataType()

  **For advanced use only** Get the "data-type" attribute. `data-type` specifies the data type of the strings; the following values are allowed:
  - `text` specifies that the sort keys should be sorted lexicographically in the culturally correct manner for the language specified by `lang`.
  - `number` specifies that the sort keys should be converted to numbers and then sorted according to the numeric value; the sort key is converted to a number as if by a call to the number function; the `lang` attribute is ignored.
  - A QName with a prefix is expanded into an expanded-name as described in [2.4 Qualified Names]; the expanded-name identifies the data-type; the behavior in this case is not specified by this document.

  The default value is `text`.

  > NOTE: The XSL Working Group plans that future versions of XSLT will leverage XML Schemas to define further values for this attribute.

### setOrder

    public void setOrder(AVT v)

  **For advanced use only** Set the "order" attribute. order specifies whether the strings should be sorted in ascending or descending order; ascending specifies ascending order; descending specifies descending order; the default is ascending.

### getOrder

    public AVT getOrder()

  **For advanced use only** Get the "order" attribute. order specifies whether the strings should be sorted in ascending or descending order; ascending specifies ascending order; descending specifies descending order; the default is ascending.

### setCaseOrder

    public void setCaseOrder(AVT v)

  **For advanced use only** Set the "case-order" attribute. case-order has the value upper-first or lower-first; this applies when data-type="text", and specifies that upper-case letters should sort before lower-case letters or vice-versa respectively. For example, if lang="en", then A a B b are sorted with case-order="upper-first" and a A b B are sorted with case-order="lower-first". The default value is language dependent.

### getCaseOrder

    public AVT getCaseOrder()

  **For advanced use only** Get the "case-order" attribute. case-order has the value upper-first or lower-first; this applies when data-type="text", and specifies that upper-case letters should sort before lower-case letters or vice-versa respectively. For example, if lang="en", then A a B b are sorted with case-order="upper-first" and a A b B are sorted with case-order="lower-first". The default value is language dependent.

### getXSLToken

    public int getXSLToken()

  **For advanced use only** Get an int constant identifying the type of element.
  Overrides:
    getXSLToken in class ElemTemplateElement
  See Also:
    `Constants`

### getNodeName

    public java.lang.String getNodeName()

  **For advanced use only** Return the node name.
  Overrides:
    getNodeName in class ElemTemplateElement

### appendChild

    public Node appendChild(Node newChild)
                     throws DOMException

  **For advanced use only** Add a child to the child list.
  Overrides:
    appendChild in class ElemTemplateElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.